import {takeLatest} from 'redux-saga';
import {take, call, put, fork, cancel, select} from 'redux-saga/effects';
import {fetchList, fetchItem, pass} from '../services/remittance';
import {message} from 'antd';
import {watchIndex, watchShow, watchCreate, watchEdit, watch} from './RESTful';

export default function*() {
    const ID = 'REMITTANCE';
    // yield fork(watchPassItem);
    yield fork(watchIndex(ID, fetchList));
    yield fork(watchShow(ID, fetchItem));
    yield fork(watch('PASS_REMITTANCE_ITEM', pass, '审核'));
}
